Package com.xebialabs.xlrelease.domain.calendar

## Class CalendarEntry

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.calendar.CalendarEntry

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `Blackout`, `SpecialDay`

      @Metadata(description="Base class for all calendar entries",
                root=CONFIGURATION,
                versioned=false,
                virtual=true)
      public abstract class CalendarEntry
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Date` | `endDate` |
    `protected java.lang.String` | `label` |
    `protected java.util.Date` | `startDate` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarEntry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getLabel()` |
    `java.util.Date` | `getStartDate()` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setLabel​(java.lang.String label)` |
    `void` | `setStartDate​(java.util.Date startDate)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### label

          @Property(description="The label of the calendar event.")
          protected java.lang.String label

    - #### startDate

          @Property(description="The start date and time of the calendar event.")
          protected java.util.Date startDate

    - #### endDate

          @Property(description="The end date and time of the calendar event.")
          protected java.util.Date endDate

  - ### Constructor Detail

    - #### CalendarEntry

          public CalendarEntry()

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel​(java.lang.String label)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)